Java Problems

Discussion in 'Mac Basics and Help' started by Jmanp17, Dec 10, 2010.

  1. Jmanp17 macrumors member

    Joined:
    Aug 26, 2009
    #1
    I really am having Problems With Java. I'm trying to play this game but it says either I don't have java or That I don't have the new version. So I go to the Java website, and BOOM it says I have to preform a software update. I tried the software update, and all it gave me was a firmware update, and that didn't do anything. I think I have Java but I'm not sure, Please help!
     
  2. zachsilvey macrumors 6502

    Joined:
    Feb 5, 2008
    Location:
    Battle Ground
    #2
    Apple has deprecated Java which means there won't be any more Java updates in Software Update.
     
  3. mrbash macrumors 6502

    Joined:
    Aug 10, 2008
    #3
    Not quite. In the curent release, Snow Leopard, Leopard, Java will still be updated.

    If you have the latest update to your OS, then you have the latest version of Java. It is likely that the game you are playing expects an older version of Java.

    Determine if the game requires a specific version or if recent versions will work.
     

Share This Page